Bug 70428 - Maintainer-Update: net/trafshow broken -- Back out upgrade
Summary: Maintainer-Update: net/trafshow broken -- Back out upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey Matveychuk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-13 21:20 UTC by Ryan Thompson
Modified: 2004-08-17 07:13 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Thompson 2004-08-13 21:20:24 UTC
Since upgrading trafshow to the author's release of 4.0, numerous FreeBSD
users have reported problems with traffic aggregation, to the point that the
4.0 version of the port is not useful. It initially tested okay for me in my
simple installation, but numerous users on freebsd-ports@ have had issues.

As yet, I haven't found an easy solution. As an interim solution until I can
coordinate efforts with the trafshow author, or patch locally, I need a
committer to back out last week's maintainer-update and revert to 3.1_4.

Better yet, maybe we should do a repo copy of the current 4.0 port to
net/trafshow4, and keep the 3.1_4 as net/trafshow, and eventually retire it
once 4.0 has been adopted and is considered to be stable. Keep in mind that
trafshow 3.1 wasn't updated since 1996, IIRC, so it is *extremely* well
entrenched and should probably stick around for a while.

Fix: 

See my suggestions in the Description. Essentially:

First, repo-copy net/trafshow -> net/trafshow4
Then, back out ports/70152 for net/trafshow
Comment 1 Sergey Matveychuk freebsd_committer 2004-08-15 21:07:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 2 Sergey Matveychuk freebsd_committer 2004-08-15 21:07:58 UTC
State Changed
From-To: open->repocopy

Repocopy request: 
net/trafshow -> net/trafshow4 


Comment 3 Sergey Matveychuk freebsd_committer 2004-08-15 21:07:58 UTC
Responsible Changed
From-To: sem->portmgr

Repocopy request: 
net/trafshow -> net/trafshow4
Comment 4 Joe Marcus Clarke freebsd_committer 2004-08-16 18:01:21 UTC
Would it be better to repo-copy trafshow to trafshow3 since trafshow 4.x
is going to be the next stable version (eventually)?

Joe

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	marcus@FreeBSD.org
gnome@FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome
Comment 5 Ryan Thompson 2004-08-16 18:22:49 UTC
Hi Joe,

Joe Marcus Clarke wrote to freebsd-gnats-submit@FreeBSD.org and...:

> Would it be better to repo-copy trafshow to trafshow3 since trafshow
> 4.x is going to be the next stable version (eventually)?

That'd be one less commit, yes, but my thinking was that net/trafshow is
the one that everyone's expecting to get, and what everyone's
portupgrade is going to fetch. I have the main mirror for the FreeBSD
port source of trafshow, and version 3 is getting a few hundred
downloads a day.. so I wanted to do this with the least amount of
disruption to those people as possible.

And, this way, in the meantime, people that want to try out 4.0 can make
a conscious effort to install net/trafshow4. Much like the way major
releases (even stable ones) of mysql and bash are handled.

I should also underscore the point that trafshow 3.1 has been on the
'net since '96, which is practically an eternity nowadays. :-)

Thanks,
- Ryan

-- 
   Ryan Thompson <ryan@sasknow.com>

   SaskNow Technologies - http://www.sasknow.com
   901-1st Avenue North - Saskatoon, SK - S7K 1Y4

         Tel: 306-664-3600   Fax: 306-244-7037   Saskatoon
   Toll-Free: 877-727-5669     (877-SASKNOW)     North America
Comment 6 Joe Marcus Clarke freebsd_committer 2004-08-17 06:34:31 UTC
State Changed
From-To: repocopy->open

Repo-copy completed. 


Comment 7 Joe Marcus Clarke freebsd_committer 2004-08-17 06:34:31 UTC
Responsible Changed
From-To: portmgr->sem

Repo-copy completed.
Comment 8 Sergey Matveychuk freebsd_committer 2004-08-17 07:12:53 UTC
State Changed
From-To: open->closed

Committed, thanks!